For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
      • GETList Pages
      • GETGet Page Metadata
      • PUTUpdate Page Metadata
      • GETGet Page Content
      • POSTUpdate Page Content
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Pages and ComponentsPages

Get Page Metadata

GET
https://api.webflow.com/v2/pages/:page_id
GET
/v2/pages/:page_id
$curl -G https://api.webflow.com/v2/pages/63c720f9347c2139b248e552 \
> -H "Authorization: Bearer <token>" \
> -d localeId=65427cf400e02b306eaa04a0
1{
2 "id": "6596da6045e56dee495bcbba",
3 "siteId": "6258612d1ee792848f805dcf",
4 "title": "Guide to the Galaxy",
5 "slug": "guide-to-the-galaxy",
6 "createdOn": "2024-03-11T10:42:00.000Z",
7 "lastUpdated": "2024-03-11T10:42:42.000Z",
8 "archived": false,
9 "draft": false,
10 "canBranch": false,
11 "isBranch": true,
12 "branchId": "68026fa68ef6dc744c75b833",
13 "seo": {
14 "title": "The Ultimate Hitchhiker's Guide to the Galaxy",
15 "description": "Everything you need to know about the galaxy, from avoiding Vogon poetry to the importance of towels."
16 },
17 "openGraph": {
18 "title": "Explore the Cosmos with The Ultimate Guide",
19 "titleCopied": false,
20 "description": "Dive deep into the mysteries of the universe with your guide to everything galactic.",
21 "descriptionCopied": false
22 },
23 "localeId": "653fd9af6a07fc9cfd7a5e57",
24 "publishedPath": "/en-us/guide-to-the-galaxy"
25}

Get metadata information for a single page.

Required scope | pages:read

Was this page helpful?
Previous

Update Page Metadata

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

page_idstringRequiredformat: "objectid"
Unique identifier for a Page

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

Response

Request was successful
idstringformat: "objectid"
Unique identifier for the Page
siteIdstringRead-onlyformat: "objectid"
Unique identifier for the Site
titlestring
Title of the Page
slugstring

slug of the Page (derived from title)

parentIdstringRead-onlyformat: "objectid"
Identifier of the parent folder
collectionIdstringRead-onlyformat: "objectid"
Unique identifier for a linked Collection, value will be null if the Page is not part of a Collection.
createdOnstringRead-onlyformat: "date-time"
The date the Page was created
lastUpdatedstringRead-onlyformat: "date-time"
The date the Page was most recently updated
archivedbooleanRead-onlyDefaults to false
Whether the Page has been archived
draftbooleanRead-onlyDefaults to false
Whether the Page is a draft
canBranchbooleanRead-onlyDefaults to false

Indicates whether the Page supports Page Branching. Pages that are already branches cannot be branched again.

isBranchbooleanRead-onlyDefaults to false

Indicates whether the Page is a Branch of another Page Page Branching

branchIdstring or nullformat: "objectid"
If the Page is a Branch of another Page, this is the ID of the Branch
seoobject

SEO-related fields for the Page

openGraphobject
Open Graph fields for the Page
localeIdstring or nullRead-onlyformat: "objectid"
Unique ID of the page locale
publishedPathstringRead-only
Relative path of the published page URL

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error